Activity log for bug #1841099

Date Who What changed Old value New value Message
2019-08-22 18:02:50 Chad Smith bug added bug
2019-08-22 18:03:07 Chad Smith nominated for series Ubuntu Xenial
2019-08-22 18:03:07 Chad Smith bug task added cloud-init (Ubuntu Xenial)
2019-08-22 18:03:07 Chad Smith nominated for series Ubuntu Disco
2019-08-22 18:03:07 Chad Smith bug task added cloud-init (Ubuntu Disco)
2019-08-22 18:03:07 Chad Smith nominated for series Ubuntu Bionic
2019-08-22 18:03:07 Chad Smith bug task added cloud-init (Ubuntu Bionic)
2019-08-22 18:03:42 Chad Smith summary SRU cloud-init (19.1.1 to 19.2.21): Xenial, Bionic, Cosmic and Disco SRU cloud-init (19.1.1 to 19.2.21): Xenial, Bionic, and Disco
2019-08-23 19:48:03 Steve Langasek cloud-init (Ubuntu Disco): status New Fix Committed
2019-08-23 19:48:06 Steve Langasek bug added subscriber Ubuntu Stable Release Updates Team
2019-08-23 19:48:08 Steve Langasek bug added subscriber SRU Verification
2019-08-23 19:48:11 Steve Langasek tags verification-needed verification-needed-disco
2019-08-23 19:52:10 Steve Langasek cloud-init (Ubuntu Bionic): status New Fix Committed
2019-08-23 19:52:15 Steve Langasek tags verification-needed verification-needed-disco verification-needed verification-needed-bionic verification-needed-disco
2019-08-23 19:55:55 Steve Langasek cloud-init (Ubuntu Xenial): status New Fix Committed
2019-08-23 19:56:01 Steve Langasek tags verification-needed verification-needed-bionic verification-needed-disco verification-needed verification-needed-bionic verification-needed-disco verification-needed-xenial
2019-08-29 02:21:58 Chad Smith description == Begin SRU Template == [Impact] This release sports both bug-fixes and new features and we would like to make sure all of our supported customers have access to these improvements. The notable ones are: - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA - DataSourceOracle: prefer DS network config over initramfs - Azure: Record boot timestamps, system information, and diagnostic events [Anh Vo] - DataSourceOracle: configure secondary NICs on Virtual Machines - azure/net: generate_fallback_nic emits network v2 config instead of v1 - Add support for publishing host keys to GCE guest attributes [Rick Wright] - New data source for the Exoscale.com cloud platform [Chris Glass] - net/cmdline: split interfaces_by_mac and init network config determination - stages: allow data sources to override network config source order - Fix bug rendering MTU on bond or vlan when input was netplan. [Scott Moser] - net: add rfc3442 (classless static routes) to EphemeralDHCP - templates/ntp.conf.debian.tmpl: fix missing newline for pools - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun] - VMWare: Trigger the post customization script via cc_scripts module. [Xiaofeng Wang] - Cloud-init analyze module: Added ability to analyze boot events. [Sam Gilson] - Update debian eni network configuration location, retain Ubuntu setting [Janos Lenart] - net: skip bond interfaces in get_interfaces [Stanislav Makar] - Add missing dsname for Hetzner Cloud datasource [Markus Schade] - azure: add region and AZ properties from imds compute location metadata - Allow identification of OpenStack by Asset Tag [Mark T. Voelker] - netplan: update netplan key mappings for gratuitous-arp See the changelog entry below for a full list of changes and bugs. [Test Case] The following development and SRU process was followed: https://wiki.ubuntu.com/CloudinitUpdates The cloud-init team will be in charge of attaching the artifacts and console output of the appropriate run to the bug. cloud-init team members will not mark ‘verification-done’ until this has happened. * Automated Test Results TODO: attach automated cloud-init-proposed test artifacts TODO: attach automated cloud-init-proposed test artifacts from tests for each release with kvm artifacts TODO: attach Solutions Testing team test results for each LTS TODO: attach MAAS Team test results for each LTS sru-artifact-maas-xenial * Manual Test Results TODO: attach manual cloud-init-proposed test artifacts from tests for each release on ec2 datasource TODO: attach manual cloud-init-proposed test artifacts from tests for each release on gce datasource TODO: attach manual cloud-init-proposed test artifacts from tests for each release on azure datasource [Regression Potential] In order to mitigate the regression potential, the results of the aforementioned integration tests are attached to this bug. [Discussion] == End SRU Template == == Changelog == - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA - Add missing #cloud-config comment on first example in documentation. [Florian Müller] - ubuntu-drivers: emit latelink=true debconf to accept nvidia eula - DataSourceOracle: prefer DS network config over initramfs - format.rst: add text/jinja2 to list of content types (+ cleanups) - Add GitHub pull request template to point people at hacking doc - cloudinit/distros/parsers/sys_conf: add docstring to SysConf - pyflakes: remove unused variable [Joshua Powers] - Azure: Record boot timestamps, system information, and diagnostic events [Anh Vo] - DataSourceOracle: configure secondary NICs on Virtual Machines - distros: fix confusing variable names - azure/net: generate_fallback_nic emits network v2 config instead of v1 - Add support for publishing host keys to GCE guest attributes [Rick Wright] - New data source for the Exoscale.com cloud platform [Chris Glass] - doc: remove intersphinx extension - cc_set_passwords: rewrite documentation - net/cmdline: split interfaces_by_mac and init network config determination - stages: allow data sources to override network config source order - cloud_tests: updates and fixes - Fix bug rendering MTU on bond or vlan when input was netplan. [Scott Moser] - net: update net sequence, include wait on netdevs, opensuse netrules path - Release 19.2 - net: add rfc3442 (classless static routes) to EphemeralDHCP - templates/ntp.conf.debian.tmpl: fix missing newline for pools - Support netplan renderer in Arch Linux [Conrad Hoffmann] - Fix typo in publicly viewable documentation. [David Medberry] - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun] - VMWare: Trigger the post customization script via cc_scripts module. [Xiaofeng Wang] - Cloud-init analyze module: Added ability to analyze boot events. [Sam Gilson] - Update debian eni network configuration location, retain Ubuntu setting [Janos Lenart] - net: skip bond interfaces in get_interfaces [Stanislav Makar] - Fix a couple of issues raised by a coverity scan - Add missing dsname for Hetzner Cloud datasource [Markus Schade] - doc: indicate that netplan is default in Ubuntu now - azure: add region and AZ properties from imds compute location metadata - sysconfig: support more bonding options [Penghui Liao] - cloud-init-generator: use libexec path to ds-identify on redhat systems - tools/build-on-freebsd: update to python3 [Gonéri Le Bouder] - Allow identification of OpenStack by Asset Tag [Mark T. Voelker] - Fix spelling error making 'an Ubuntu' consistent. [Brian Murray] - run-container: centos: comment out the repo mirrorlist [Paride Legovini] - netplan: update netplan key mappings for gratuitous-arp - freebsd: fix the name of cloudcfg VARIANT [Gonéri Le Bouder] - freebsd: ability to grow root file system [Gonéri Le Bouder] - freebsd: NoCloud data source support [Gonéri Le Bouder] # Note updated SRU snapshot to include an upstream fix for exoscale cloud_config_modules == Begin SRU Template == [Impact] This release sports both bug-fixes and new features and we would like to make sure all of our supported customers have access to these improvements. The notable ones are: -- begin update (08/28/19) -- - Oracle: Render secondary vnic IP and MTU values only - exoscale: fix sysconfig cloud_config_modules overrides -- end update (08/28/19) --     - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA     - DataSourceOracle: prefer DS network config over initramfs     - Azure: Record boot timestamps, system information, and diagnostic events       [Anh Vo]     - DataSourceOracle: configure secondary NICs on Virtual Machines     - azure/net: generate_fallback_nic emits network v2 config instead of v1     - Add support for publishing host keys to GCE guest attributes       [Rick Wright]     - New data source for the Exoscale.com cloud platform [Chris Glass]     - net/cmdline: split interfaces_by_mac and init network config       determination     - stages: allow data sources to override network config source order     - Fix bug rendering MTU on bond or vlan when input was netplan.       [Scott Moser]     - net: add rfc3442 (classless static routes) to EphemeralDHCP     - templates/ntp.conf.debian.tmpl: fix missing newline for pools     - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]     - VMWare: Trigger the post customization script via cc_scripts module.       [Xiaofeng Wang]     - Cloud-init analyze module: Added ability to analyze boot events.       [Sam Gilson]     - Update debian eni network configuration location, retain Ubuntu setting       [Janos Lenart]     - net: skip bond interfaces in get_interfaces [Stanislav Makar]     - Add missing dsname for Hetzner Cloud datasource [Markus Schade]     - azure: add region and AZ properties from imds compute location metadata     - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]     - netplan: update netplan key mappings for gratuitous-arp See the changelog entry below for a full list of changes and bugs. [Test Case] The following development and SRU process was followed: https://wiki.ubuntu.com/CloudinitUpdates The cloud-init team will be in charge of attaching the artifacts and console output of the appropriate run to the bug. cloud-init team members will not mark ‘verification-done’ until this has happened. * Automated Test Results TODO: attach automated cloud-init-proposed test artifacts TODO: attach automated cloud-init-proposed test artifacts from tests for each release with kvm artifacts TODO: attach Solutions Testing team test results for each LTS TODO: attach MAAS Team test results for each LTS sru-artifact-maas-xenial * Manual Test Results TODO: attach manual cloud-init-proposed test artifacts from tests for each release on ec2 datasource TODO: attach manual cloud-init-proposed test artifacts from tests for each release on gce datasource TODO: attach manual cloud-init-proposed test artifacts from tests for each release on azure datasource [Regression Potential] In order to mitigate the regression potential, the results of the aforementioned integration tests are attached to this bug. [Discussion] == End SRU Template == == Changelog == - Oracle: Render secondary vnic IP and MTU values only - exoscale: fix sysconfig cloud_config_modules overrides - net/cmdline: refactor to allow multiple initramfs network config sources    - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA     - Add missing #cloud-config comment on first example in documentation.       [Florian Müller]     - ubuntu-drivers: emit latelink=true debconf to accept nvidia eula     - DataSourceOracle: prefer DS network config over initramfs     - format.rst: add text/jinja2 to list of content types (+ cleanups)     - Add GitHub pull request template to point people at hacking doc     - cloudinit/distros/parsers/sys_conf: add docstring to SysConf     - pyflakes: remove unused variable [Joshua Powers]     - Azure: Record boot timestamps, system information, and diagnostic events       [Anh Vo]     - DataSourceOracle: configure secondary NICs on Virtual Machines     - distros: fix confusing variable names     - azure/net: generate_fallback_nic emits network v2 config instead of v1     - Add support for publishing host keys to GCE guest attributes       [Rick Wright]     - New data source for the Exoscale.com cloud platform [Chris Glass]     - doc: remove intersphinx extension     - cc_set_passwords: rewrite documentation     - net/cmdline: split interfaces_by_mac and init network config       determination     - stages: allow data sources to override network config source order     - cloud_tests: updates and fixes     - Fix bug rendering MTU on bond or vlan when input was netplan.       [Scott Moser]     - net: update net sequence, include wait on netdevs, opensuse netrules path     - Release 19.2     - net: add rfc3442 (classless static routes) to EphemeralDHCP     - templates/ntp.conf.debian.tmpl: fix missing newline for pools     - Support netplan renderer in Arch Linux [Conrad Hoffmann]     - Fix typo in publicly viewable documentation. [David Medberry]     - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]     - VMWare: Trigger the post customization script via cc_scripts module.       [Xiaofeng Wang]     - Cloud-init analyze module: Added ability to analyze boot events.       [Sam Gilson]     - Update debian eni network configuration location, retain Ubuntu setting       [Janos Lenart]     - net: skip bond interfaces in get_interfaces [Stanislav Makar]     - Fix a couple of issues raised by a coverity scan     - Add missing dsname for Hetzner Cloud datasource [Markus Schade]     - doc: indicate that netplan is default in Ubuntu now     - azure: add region and AZ properties from imds compute location metadata     - sysconfig: support more bonding options [Penghui Liao]     - cloud-init-generator: use libexec path to ds-identify on redhat systems     - tools/build-on-freebsd: update to python3 [Gonéri Le Bouder]     - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]     - Fix spelling error making 'an Ubuntu' consistent. [Brian Murray]     - run-container: centos: comment out the repo mirrorlist [Paride Legovini]     - netplan: update netplan key mappings for gratuitous-arp     - freebsd: fix the name of cloudcfg VARIANT [Gonéri Le Bouder]     - freebsd: ability to grow root file system [Gonéri Le Bouder]     - freebsd: NoCloud data source support [Gonéri Le Bouder]
2019-08-29 02:22:16 Chad Smith description # Note updated SRU snapshot to include an upstream fix for exoscale cloud_config_modules == Begin SRU Template == [Impact] This release sports both bug-fixes and new features and we would like to make sure all of our supported customers have access to these improvements. The notable ones are: -- begin update (08/28/19) -- - Oracle: Render secondary vnic IP and MTU values only - exoscale: fix sysconfig cloud_config_modules overrides -- end update (08/28/19) --     - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA     - DataSourceOracle: prefer DS network config over initramfs     - Azure: Record boot timestamps, system information, and diagnostic events       [Anh Vo]     - DataSourceOracle: configure secondary NICs on Virtual Machines     - azure/net: generate_fallback_nic emits network v2 config instead of v1     - Add support for publishing host keys to GCE guest attributes       [Rick Wright]     - New data source for the Exoscale.com cloud platform [Chris Glass]     - net/cmdline: split interfaces_by_mac and init network config       determination     - stages: allow data sources to override network config source order     - Fix bug rendering MTU on bond or vlan when input was netplan.       [Scott Moser]     - net: add rfc3442 (classless static routes) to EphemeralDHCP     - templates/ntp.conf.debian.tmpl: fix missing newline for pools     - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]     - VMWare: Trigger the post customization script via cc_scripts module.       [Xiaofeng Wang]     - Cloud-init analyze module: Added ability to analyze boot events.       [Sam Gilson]     - Update debian eni network configuration location, retain Ubuntu setting       [Janos Lenart]     - net: skip bond interfaces in get_interfaces [Stanislav Makar]     - Add missing dsname for Hetzner Cloud datasource [Markus Schade]     - azure: add region and AZ properties from imds compute location metadata     - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]     - netplan: update netplan key mappings for gratuitous-arp See the changelog entry below for a full list of changes and bugs. [Test Case] The following development and SRU process was followed: https://wiki.ubuntu.com/CloudinitUpdates The cloud-init team will be in charge of attaching the artifacts and console output of the appropriate run to the bug. cloud-init team members will not mark ‘verification-done’ until this has happened. * Automated Test Results TODO: attach automated cloud-init-proposed test artifacts TODO: attach automated cloud-init-proposed test artifacts from tests for each release with kvm artifacts TODO: attach Solutions Testing team test results for each LTS TODO: attach MAAS Team test results for each LTS sru-artifact-maas-xenial * Manual Test Results TODO: attach manual cloud-init-proposed test artifacts from tests for each release on ec2 datasource TODO: attach manual cloud-init-proposed test artifacts from tests for each release on gce datasource TODO: attach manual cloud-init-proposed test artifacts from tests for each release on azure datasource [Regression Potential] In order to mitigate the regression potential, the results of the aforementioned integration tests are attached to this bug. [Discussion] == End SRU Template == == Changelog == - Oracle: Render secondary vnic IP and MTU values only - exoscale: fix sysconfig cloud_config_modules overrides - net/cmdline: refactor to allow multiple initramfs network config sources    - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA     - Add missing #cloud-config comment on first example in documentation.       [Florian Müller]     - ubuntu-drivers: emit latelink=true debconf to accept nvidia eula     - DataSourceOracle: prefer DS network config over initramfs     - format.rst: add text/jinja2 to list of content types (+ cleanups)     - Add GitHub pull request template to point people at hacking doc     - cloudinit/distros/parsers/sys_conf: add docstring to SysConf     - pyflakes: remove unused variable [Joshua Powers]     - Azure: Record boot timestamps, system information, and diagnostic events       [Anh Vo]     - DataSourceOracle: configure secondary NICs on Virtual Machines     - distros: fix confusing variable names     - azure/net: generate_fallback_nic emits network v2 config instead of v1     - Add support for publishing host keys to GCE guest attributes       [Rick Wright]     - New data source for the Exoscale.com cloud platform [Chris Glass]     - doc: remove intersphinx extension     - cc_set_passwords: rewrite documentation     - net/cmdline: split interfaces_by_mac and init network config       determination     - stages: allow data sources to override network config source order     - cloud_tests: updates and fixes     - Fix bug rendering MTU on bond or vlan when input was netplan.       [Scott Moser]     - net: update net sequence, include wait on netdevs, opensuse netrules path     - Release 19.2     - net: add rfc3442 (classless static routes) to EphemeralDHCP     - templates/ntp.conf.debian.tmpl: fix missing newline for pools     - Support netplan renderer in Arch Linux [Conrad Hoffmann]     - Fix typo in publicly viewable documentation. [David Medberry]     - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]     - VMWare: Trigger the post customization script via cc_scripts module.       [Xiaofeng Wang]     - Cloud-init analyze module: Added ability to analyze boot events.       [Sam Gilson]     - Update debian eni network configuration location, retain Ubuntu setting       [Janos Lenart]     - net: skip bond interfaces in get_interfaces [Stanislav Makar]     - Fix a couple of issues raised by a coverity scan     - Add missing dsname for Hetzner Cloud datasource [Markus Schade]     - doc: indicate that netplan is default in Ubuntu now     - azure: add region and AZ properties from imds compute location metadata     - sysconfig: support more bonding options [Penghui Liao]     - cloud-init-generator: use libexec path to ds-identify on redhat systems     - tools/build-on-freebsd: update to python3 [Gonéri Le Bouder]     - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]     - Fix spelling error making 'an Ubuntu' consistent. [Brian Murray]     - run-container: centos: comment out the repo mirrorlist [Paride Legovini]     - netplan: update netplan key mappings for gratuitous-arp     - freebsd: fix the name of cloudcfg VARIANT [Gonéri Le Bouder]     - freebsd: ability to grow root file system [Gonéri Le Bouder]     - freebsd: NoCloud data source support [Gonéri Le Bouder] # Update (08/28/2019) updated SRU snapshot to include an upstream fix for exoscale cloud_config_modules == Begin SRU Template == [Impact] This release sports both bug-fixes and new features and we would like to make sure all of our supported customers have access to these improvements. The notable ones are: -- begin update (08/28/19) --     - Oracle: Render secondary vnic IP and MTU values only     - exoscale: fix sysconfig cloud_config_modules overrides -- end update (08/28/19) --     - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA     - DataSourceOracle: prefer DS network config over initramfs     - Azure: Record boot timestamps, system information, and diagnostic events       [Anh Vo]     - DataSourceOracle: configure secondary NICs on Virtual Machines     - azure/net: generate_fallback_nic emits network v2 config instead of v1     - Add support for publishing host keys to GCE guest attributes       [Rick Wright]     - New data source for the Exoscale.com cloud platform [Chris Glass]     - net/cmdline: split interfaces_by_mac and init network config       determination     - stages: allow data sources to override network config source order     - Fix bug rendering MTU on bond or vlan when input was netplan.       [Scott Moser]     - net: add rfc3442 (classless static routes) to EphemeralDHCP     - templates/ntp.conf.debian.tmpl: fix missing newline for pools     - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]     - VMWare: Trigger the post customization script via cc_scripts module.       [Xiaofeng Wang]     - Cloud-init analyze module: Added ability to analyze boot events.       [Sam Gilson]     - Update debian eni network configuration location, retain Ubuntu setting       [Janos Lenart]     - net: skip bond interfaces in get_interfaces [Stanislav Makar]     - Add missing dsname for Hetzner Cloud datasource [Markus Schade]     - azure: add region and AZ properties from imds compute location metadata     - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]     - netplan: update netplan key mappings for gratuitous-arp See the changelog entry below for a full list of changes and bugs. [Test Case] The following development and SRU process was followed: https://wiki.ubuntu.com/CloudinitUpdates The cloud-init team will be in charge of attaching the artifacts and console output of the appropriate run to the bug. cloud-init team members will not mark ‘verification-done’ until this has happened. * Automated Test Results TODO: attach automated cloud-init-proposed test artifacts TODO: attach automated cloud-init-proposed test artifacts from tests for each release with kvm artifacts TODO: attach Solutions Testing team test results for each LTS TODO: attach MAAS Team test results for each LTS sru-artifact-maas-xenial * Manual Test Results TODO: attach manual cloud-init-proposed test artifacts from tests for each release on ec2 datasource TODO: attach manual cloud-init-proposed test artifacts from tests for each release on gce datasource TODO: attach manual cloud-init-proposed test artifacts from tests for each release on azure datasource [Regression Potential] In order to mitigate the regression potential, the results of the aforementioned integration tests are attached to this bug. [Discussion] == End SRU Template == == Changelog ==     - Oracle: Render secondary vnic IP and MTU values only     - exoscale: fix sysconfig cloud_config_modules overrides     - net/cmdline: refactor to allow multiple initramfs network config sources    - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA     - Add missing #cloud-config comment on first example in documentation.       [Florian Müller]     - ubuntu-drivers: emit latelink=true debconf to accept nvidia eula     - DataSourceOracle: prefer DS network config over initramfs     - format.rst: add text/jinja2 to list of content types (+ cleanups)     - Add GitHub pull request template to point people at hacking doc     - cloudinit/distros/parsers/sys_conf: add docstring to SysConf     - pyflakes: remove unused variable [Joshua Powers]     - Azure: Record boot timestamps, system information, and diagnostic events       [Anh Vo]     - DataSourceOracle: configure secondary NICs on Virtual Machines     - distros: fix confusing variable names     - azure/net: generate_fallback_nic emits network v2 config instead of v1     - Add support for publishing host keys to GCE guest attributes       [Rick Wright]     - New data source for the Exoscale.com cloud platform [Chris Glass]     - doc: remove intersphinx extension     - cc_set_passwords: rewrite documentation     - net/cmdline: split interfaces_by_mac and init network config       determination     - stages: allow data sources to override network config source order     - cloud_tests: updates and fixes     - Fix bug rendering MTU on bond or vlan when input was netplan.       [Scott Moser]     - net: update net sequence, include wait on netdevs, opensuse netrules path     - Release 19.2     - net: add rfc3442 (classless static routes) to EphemeralDHCP     - templates/ntp.conf.debian.tmpl: fix missing newline for pools     - Support netplan renderer in Arch Linux [Conrad Hoffmann]     - Fix typo in publicly viewable documentation. [David Medberry]     - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]     - VMWare: Trigger the post customization script via cc_scripts module.       [Xiaofeng Wang]     - Cloud-init analyze module: Added ability to analyze boot events.       [Sam Gilson]     - Update debian eni network configuration location, retain Ubuntu setting       [Janos Lenart]     - net: skip bond interfaces in get_interfaces [Stanislav Makar]     - Fix a couple of issues raised by a coverity scan     - Add missing dsname for Hetzner Cloud datasource [Markus Schade]     - doc: indicate that netplan is default in Ubuntu now     - azure: add region and AZ properties from imds compute location metadata     - sysconfig: support more bonding options [Penghui Liao]     - cloud-init-generator: use libexec path to ds-identify on redhat systems     - tools/build-on-freebsd: update to python3 [Gonéri Le Bouder]     - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]     - Fix spelling error making 'an Ubuntu' consistent. [Brian Murray]     - run-container: centos: comment out the repo mirrorlist [Paride Legovini]     - netplan: update netplan key mappings for gratuitous-arp     - freebsd: fix the name of cloudcfg VARIANT [Gonéri Le Bouder]     - freebsd: ability to grow root file system [Gonéri Le Bouder]     - freebsd: NoCloud data source support [Gonéri Le Bouder]
2019-08-29 03:24:04 Chad Smith summary SRU cloud-init (19.1.1 to 19.2.21): Xenial, Bionic, and Disco SRU cloud-init (19.1.1 to 19.2.24): Xenial, Bionic, and Disco
2019-09-01 00:51:40 Mathew Hodson cloud-init (Ubuntu): status New Fix Released
2019-09-10 02:24:20 Chad Smith attachment added nocloud-lxd-sru-19.2.24.txt https://bugs.launchpad.net/bugs/1841099/+attachment/5287641/+files/nocloud-lxd-sru-19.2.24.txt
2019-09-10 02:24:44 Chad Smith attachment added nocloud-kvm-sru-19.2.24.txt https://bugs.launchpad.net/bugs/1841099/+attachment/5287642/+files/nocloud-kvm-sru-19.2.24.txt
2019-09-10 02:24:58 Chad Smith attachment added ec2-sru-19.2.21.txt https://bugs.launchpad.net/bugs/1841099/+attachment/5287643/+files/ec2-sru-19.2.21.txt
2019-09-10 02:25:15 Chad Smith attachment added azure-sru-19.2.21.txt https://bugs.launchpad.net/bugs/1841099/+attachment/5287644/+files/azure-sru-19.2.21.txt
2019-09-10 02:25:27 Chad Smith attachment added softlayer-sru-19.2.21.txt https://bugs.launchpad.net/bugs/1841099/+attachment/5287645/+files/softlayer-sru-19.2.21.txt
2019-09-10 02:25:42 Chad Smith attachment added openstack-sru-19.2.21.txt https://bugs.launchpad.net/bugs/1841099/+attachment/5287646/+files/openstack-sru-19.2.21.txt
2019-09-10 02:25:59 Chad Smith attachment added gce-sru-19.2.21.txt https://bugs.launchpad.net/bugs/1841099/+attachment/5287647/+files/gce-sru-19.2.21.txt
2019-09-10 02:26:11 Chad Smith attachment added oracle-sru-19.2.21.txt https://bugs.launchpad.net/bugs/1841099/+attachment/5287648/+files/oracle-sru-19.2.21.txt
2019-09-10 02:30:08 Chad Smith description # Update (08/28/2019) updated SRU snapshot to include an upstream fix for exoscale cloud_config_modules == Begin SRU Template == [Impact] This release sports both bug-fixes and new features and we would like to make sure all of our supported customers have access to these improvements. The notable ones are: -- begin update (08/28/19) --     - Oracle: Render secondary vnic IP and MTU values only     - exoscale: fix sysconfig cloud_config_modules overrides -- end update (08/28/19) --     - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA     - DataSourceOracle: prefer DS network config over initramfs     - Azure: Record boot timestamps, system information, and diagnostic events       [Anh Vo]     - DataSourceOracle: configure secondary NICs on Virtual Machines     - azure/net: generate_fallback_nic emits network v2 config instead of v1     - Add support for publishing host keys to GCE guest attributes       [Rick Wright]     - New data source for the Exoscale.com cloud platform [Chris Glass]     - net/cmdline: split interfaces_by_mac and init network config       determination     - stages: allow data sources to override network config source order     - Fix bug rendering MTU on bond or vlan when input was netplan.       [Scott Moser]     - net: add rfc3442 (classless static routes) to EphemeralDHCP     - templates/ntp.conf.debian.tmpl: fix missing newline for pools     - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]     - VMWare: Trigger the post customization script via cc_scripts module.       [Xiaofeng Wang]     - Cloud-init analyze module: Added ability to analyze boot events.       [Sam Gilson]     - Update debian eni network configuration location, retain Ubuntu setting       [Janos Lenart]     - net: skip bond interfaces in get_interfaces [Stanislav Makar]     - Add missing dsname for Hetzner Cloud datasource [Markus Schade]     - azure: add region and AZ properties from imds compute location metadata     - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]     - netplan: update netplan key mappings for gratuitous-arp See the changelog entry below for a full list of changes and bugs. [Test Case] The following development and SRU process was followed: https://wiki.ubuntu.com/CloudinitUpdates The cloud-init team will be in charge of attaching the artifacts and console output of the appropriate run to the bug. cloud-init team members will not mark ‘verification-done’ until this has happened. * Automated Test Results TODO: attach automated cloud-init-proposed test artifacts TODO: attach automated cloud-init-proposed test artifacts from tests for each release with kvm artifacts TODO: attach Solutions Testing team test results for each LTS TODO: attach MAAS Team test results for each LTS sru-artifact-maas-xenial * Manual Test Results TODO: attach manual cloud-init-proposed test artifacts from tests for each release on ec2 datasource TODO: attach manual cloud-init-proposed test artifacts from tests for each release on gce datasource TODO: attach manual cloud-init-proposed test artifacts from tests for each release on azure datasource [Regression Potential] In order to mitigate the regression potential, the results of the aforementioned integration tests are attached to this bug. [Discussion] == End SRU Template == == Changelog ==     - Oracle: Render secondary vnic IP and MTU values only     - exoscale: fix sysconfig cloud_config_modules overrides     - net/cmdline: refactor to allow multiple initramfs network config sources    - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA     - Add missing #cloud-config comment on first example in documentation.       [Florian Müller]     - ubuntu-drivers: emit latelink=true debconf to accept nvidia eula     - DataSourceOracle: prefer DS network config over initramfs     - format.rst: add text/jinja2 to list of content types (+ cleanups)     - Add GitHub pull request template to point people at hacking doc     - cloudinit/distros/parsers/sys_conf: add docstring to SysConf     - pyflakes: remove unused variable [Joshua Powers]     - Azure: Record boot timestamps, system information, and diagnostic events       [Anh Vo]     - DataSourceOracle: configure secondary NICs on Virtual Machines     - distros: fix confusing variable names     - azure/net: generate_fallback_nic emits network v2 config instead of v1     - Add support for publishing host keys to GCE guest attributes       [Rick Wright]     - New data source for the Exoscale.com cloud platform [Chris Glass]     - doc: remove intersphinx extension     - cc_set_passwords: rewrite documentation     - net/cmdline: split interfaces_by_mac and init network config       determination     - stages: allow data sources to override network config source order     - cloud_tests: updates and fixes     - Fix bug rendering MTU on bond or vlan when input was netplan.       [Scott Moser]     - net: update net sequence, include wait on netdevs, opensuse netrules path     - Release 19.2     - net: add rfc3442 (classless static routes) to EphemeralDHCP     - templates/ntp.conf.debian.tmpl: fix missing newline for pools     - Support netplan renderer in Arch Linux [Conrad Hoffmann]     - Fix typo in publicly viewable documentation. [David Medberry]     - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]     - VMWare: Trigger the post customization script via cc_scripts module.       [Xiaofeng Wang]     - Cloud-init analyze module: Added ability to analyze boot events.       [Sam Gilson]     - Update debian eni network configuration location, retain Ubuntu setting       [Janos Lenart]     - net: skip bond interfaces in get_interfaces [Stanislav Makar]     - Fix a couple of issues raised by a coverity scan     - Add missing dsname for Hetzner Cloud datasource [Markus Schade]     - doc: indicate that netplan is default in Ubuntu now     - azure: add region and AZ properties from imds compute location metadata     - sysconfig: support more bonding options [Penghui Liao]     - cloud-init-generator: use libexec path to ds-identify on redhat systems     - tools/build-on-freebsd: update to python3 [Gonéri Le Bouder]     - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]     - Fix spelling error making 'an Ubuntu' consistent. [Brian Murray]     - run-container: centos: comment out the repo mirrorlist [Paride Legovini]     - netplan: update netplan key mappings for gratuitous-arp     - freebsd: fix the name of cloudcfg VARIANT [Gonéri Le Bouder]     - freebsd: ability to grow root file system [Gonéri Le Bouder]     - freebsd: NoCloud data source support [Gonéri Le Bouder] # Update (08/28/2019) updated SRU snapshot to include an upstream fix for exoscale cloud_config_modules == Begin SRU Template == [Impact] This release sports both bug-fixes and new features and we would like to make sure all of our supported customers have access to these improvements. The notable ones are: -- begin update (08/28/19) --     - Oracle: Render secondary vnic IP and MTU values only     - exoscale: fix sysconfig cloud_config_modules overrides -- end update (08/28/19) --     - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA     - DataSourceOracle: prefer DS network config over initramfs     - Azure: Record boot timestamps, system information, and diagnostic events       [Anh Vo]     - DataSourceOracle: configure secondary NICs on Virtual Machines     - azure/net: generate_fallback_nic emits network v2 config instead of v1     - Add support for publishing host keys to GCE guest attributes       [Rick Wright]     - New data source for the Exoscale.com cloud platform [Chris Glass]     - net/cmdline: split interfaces_by_mac and init network config       determination     - stages: allow data sources to override network config source order     - Fix bug rendering MTU on bond or vlan when input was netplan.       [Scott Moser]     - net: add rfc3442 (classless static routes) to EphemeralDHCP     - templates/ntp.conf.debian.tmpl: fix missing newline for pools     - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]     - VMWare: Trigger the post customization script via cc_scripts module.       [Xiaofeng Wang]     - Cloud-init analyze module: Added ability to analyze boot events.       [Sam Gilson]     - Update debian eni network configuration location, retain Ubuntu setting       [Janos Lenart]     - net: skip bond interfaces in get_interfaces [Stanislav Makar]     - Add missing dsname for Hetzner Cloud datasource [Markus Schade]     - azure: add region and AZ properties from imds compute location metadata     - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]     - netplan: update netplan key mappings for gratuitous-arp See the changelog entry below for a full list of changes and bugs. [Test Case] The following development and SRU process was followed: https://wiki.ubuntu.com/CloudinitUpdates The cloud-init team will be in charge of attaching the artifacts and console output of the appropriate run to the bug. cloud-init team members will not mark ‘verification-done’ until this has happened. * Automated Test Results DONE: attach automated cloud-init-proposed test artifacts for lxd (nocloud-lxd-sru-19.2.24.txt) DONE: attach automated cloud-init-proposed test artifacts from tests for each release with kvm artifacts (nocloud-kvm-sru-19.2.24.txt) TODO: attach Solutions Testing team test results for each LTS TODO: attach MAAS Team test results for each LTS sru-artifact-maas-xenial * Manual Test Results DONE: attach manual cloud-init-proposed test artifacts from tests for each release on ec2 datasource (ec2-sru-19.2.21.txt) DONE: attach manual cloud-init-proposed test artifacts from tests for each release on gce datasource (gce-sru-19.2.21.txt) DONE: attach manual cloud-init-proposed test artifacts from tests for each release on azure datasource (azure-sru-19.2.21.txt) Additionally we performed both Oracle and Softlayer validation for this release [Regression Potential] In order to mitigate the regression potential, the results of the aforementioned integration tests are attached to this bug. [Discussion] == End SRU Template == == Changelog ==     - Oracle: Render secondary vnic IP and MTU values only     - exoscale: fix sysconfig cloud_config_modules overrides     - net/cmdline: refactor to allow multiple initramfs network config sources    - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA     - Add missing #cloud-config comment on first example in documentation.       [Florian Müller]     - ubuntu-drivers: emit latelink=true debconf to accept nvidia eula     - DataSourceOracle: prefer DS network config over initramfs     - format.rst: add text/jinja2 to list of content types (+ cleanups)     - Add GitHub pull request template to point people at hacking doc     - cloudinit/distros/parsers/sys_conf: add docstring to SysConf     - pyflakes: remove unused variable [Joshua Powers]     - Azure: Record boot timestamps, system information, and diagnostic events       [Anh Vo]     - DataSourceOracle: configure secondary NICs on Virtual Machines     - distros: fix confusing variable names     - azure/net: generate_fallback_nic emits network v2 config instead of v1     - Add support for publishing host keys to GCE guest attributes       [Rick Wright]     - New data source for the Exoscale.com cloud platform [Chris Glass]     - doc: remove intersphinx extension     - cc_set_passwords: rewrite documentation     - net/cmdline: split interfaces_by_mac and init network config       determination     - stages: allow data sources to override network config source order     - cloud_tests: updates and fixes     - Fix bug rendering MTU on bond or vlan when input was netplan.       [Scott Moser]     - net: update net sequence, include wait on netdevs, opensuse netrules path     - Release 19.2     - net: add rfc3442 (classless static routes) to EphemeralDHCP     - templates/ntp.conf.debian.tmpl: fix missing newline for pools     - Support netplan renderer in Arch Linux [Conrad Hoffmann]     - Fix typo in publicly viewable documentation. [David Medberry]     - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]     - VMWare: Trigger the post customization script via cc_scripts module.       [Xiaofeng Wang]     - Cloud-init analyze module: Added ability to analyze boot events.       [Sam Gilson]     - Update debian eni network configuration location, retain Ubuntu setting       [Janos Lenart]     - net: skip bond interfaces in get_interfaces [Stanislav Makar]     - Fix a couple of issues raised by a coverity scan     - Add missing dsname for Hetzner Cloud datasource [Markus Schade]     - doc: indicate that netplan is default in Ubuntu now     - azure: add region and AZ properties from imds compute location metadata     - sysconfig: support more bonding options [Penghui Liao]     - cloud-init-generator: use libexec path to ds-identify on redhat systems     - tools/build-on-freebsd: update to python3 [Gonéri Le Bouder]     - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]     - Fix spelling error making 'an Ubuntu' consistent. [Brian Murray]     - run-container: centos: comment out the repo mirrorlist [Paride Legovini]     - netplan: update netplan key mappings for gratuitous-arp     - freebsd: fix the name of cloudcfg VARIANT [Gonéri Le Bouder]     - freebsd: ability to grow root file system [Gonéri Le Bouder]     - freebsd: NoCloud data source support [Gonéri Le Bouder]
2019-09-10 14:29:29 Ryan Harper attachment added sru-proposed-cloudinit-xenial.zip https://bugs.launchpad.net/ubuntu/+source/cloud-init/+bug/1841099/+attachment/5287793/+files/sru-proposed-cloudinit-xenial.zip
2019-09-10 14:30:07 Ryan Harper attachment added sru-proposed-cloudinit-bionic.zip https://bugs.launchpad.net/ubuntu/+source/cloud-init/+bug/1841099/+attachment/5287794/+files/sru-proposed-cloudinit-bionic.zip
2019-09-10 14:31:33 Ryan Harper attachment added sru-proposed-cloudinit-disco.zip https://bugs.launchpad.net/ubuntu/+source/cloud-init/+bug/1841099/+attachment/5287795/+files/sru-proposed-cloudinit-disco.zip
2019-09-10 17:20:29 John George attachment added xenial_maas_install.log https://bugs.launchpad.net/ubuntu/+source/cloud-init/+bug/1841099/+attachment/5287824/+files/xenial_maas_install.log
2019-09-10 17:21:13 John George attachment added Solutions QA bionic maas install log https://bugs.launchpad.net/ubuntu/+source/cloud-init/+bug/1841099/+attachment/5287825/+files/bionic_maas_install.log
2019-09-10 18:26:10 Chad Smith description # Update (08/28/2019) updated SRU snapshot to include an upstream fix for exoscale cloud_config_modules == Begin SRU Template == [Impact] This release sports both bug-fixes and new features and we would like to make sure all of our supported customers have access to these improvements. The notable ones are: -- begin update (08/28/19) --     - Oracle: Render secondary vnic IP and MTU values only     - exoscale: fix sysconfig cloud_config_modules overrides -- end update (08/28/19) --     - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA     - DataSourceOracle: prefer DS network config over initramfs     - Azure: Record boot timestamps, system information, and diagnostic events       [Anh Vo]     - DataSourceOracle: configure secondary NICs on Virtual Machines     - azure/net: generate_fallback_nic emits network v2 config instead of v1     - Add support for publishing host keys to GCE guest attributes       [Rick Wright]     - New data source for the Exoscale.com cloud platform [Chris Glass]     - net/cmdline: split interfaces_by_mac and init network config       determination     - stages: allow data sources to override network config source order     - Fix bug rendering MTU on bond or vlan when input was netplan.       [Scott Moser]     - net: add rfc3442 (classless static routes) to EphemeralDHCP     - templates/ntp.conf.debian.tmpl: fix missing newline for pools     - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]     - VMWare: Trigger the post customization script via cc_scripts module.       [Xiaofeng Wang]     - Cloud-init analyze module: Added ability to analyze boot events.       [Sam Gilson]     - Update debian eni network configuration location, retain Ubuntu setting       [Janos Lenart]     - net: skip bond interfaces in get_interfaces [Stanislav Makar]     - Add missing dsname for Hetzner Cloud datasource [Markus Schade]     - azure: add region and AZ properties from imds compute location metadata     - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]     - netplan: update netplan key mappings for gratuitous-arp See the changelog entry below for a full list of changes and bugs. [Test Case] The following development and SRU process was followed: https://wiki.ubuntu.com/CloudinitUpdates The cloud-init team will be in charge of attaching the artifacts and console output of the appropriate run to the bug. cloud-init team members will not mark ‘verification-done’ until this has happened. * Automated Test Results DONE: attach automated cloud-init-proposed test artifacts for lxd (nocloud-lxd-sru-19.2.24.txt) DONE: attach automated cloud-init-proposed test artifacts from tests for each release with kvm artifacts (nocloud-kvm-sru-19.2.24.txt) TODO: attach Solutions Testing team test results for each LTS TODO: attach MAAS Team test results for each LTS sru-artifact-maas-xenial * Manual Test Results DONE: attach manual cloud-init-proposed test artifacts from tests for each release on ec2 datasource (ec2-sru-19.2.21.txt) DONE: attach manual cloud-init-proposed test artifacts from tests for each release on gce datasource (gce-sru-19.2.21.txt) DONE: attach manual cloud-init-proposed test artifacts from tests for each release on azure datasource (azure-sru-19.2.21.txt) Additionally we performed both Oracle and Softlayer validation for this release [Regression Potential] In order to mitigate the regression potential, the results of the aforementioned integration tests are attached to this bug. [Discussion] == End SRU Template == == Changelog ==     - Oracle: Render secondary vnic IP and MTU values only     - exoscale: fix sysconfig cloud_config_modules overrides     - net/cmdline: refactor to allow multiple initramfs network config sources    - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA     - Add missing #cloud-config comment on first example in documentation.       [Florian Müller]     - ubuntu-drivers: emit latelink=true debconf to accept nvidia eula     - DataSourceOracle: prefer DS network config over initramfs     - format.rst: add text/jinja2 to list of content types (+ cleanups)     - Add GitHub pull request template to point people at hacking doc     - cloudinit/distros/parsers/sys_conf: add docstring to SysConf     - pyflakes: remove unused variable [Joshua Powers]     - Azure: Record boot timestamps, system information, and diagnostic events       [Anh Vo]     - DataSourceOracle: configure secondary NICs on Virtual Machines     - distros: fix confusing variable names     - azure/net: generate_fallback_nic emits network v2 config instead of v1     - Add support for publishing host keys to GCE guest attributes       [Rick Wright]     - New data source for the Exoscale.com cloud platform [Chris Glass]     - doc: remove intersphinx extension     - cc_set_passwords: rewrite documentation     - net/cmdline: split interfaces_by_mac and init network config       determination     - stages: allow data sources to override network config source order     - cloud_tests: updates and fixes     - Fix bug rendering MTU on bond or vlan when input was netplan.       [Scott Moser]     - net: update net sequence, include wait on netdevs, opensuse netrules path     - Release 19.2     - net: add rfc3442 (classless static routes) to EphemeralDHCP     - templates/ntp.conf.debian.tmpl: fix missing newline for pools     - Support netplan renderer in Arch Linux [Conrad Hoffmann]     - Fix typo in publicly viewable documentation. [David Medberry]     - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]     - VMWare: Trigger the post customization script via cc_scripts module.       [Xiaofeng Wang]     - Cloud-init analyze module: Added ability to analyze boot events.       [Sam Gilson]     - Update debian eni network configuration location, retain Ubuntu setting       [Janos Lenart]     - net: skip bond interfaces in get_interfaces [Stanislav Makar]     - Fix a couple of issues raised by a coverity scan     - Add missing dsname for Hetzner Cloud datasource [Markus Schade]     - doc: indicate that netplan is default in Ubuntu now     - azure: add region and AZ properties from imds compute location metadata     - sysconfig: support more bonding options [Penghui Liao]     - cloud-init-generator: use libexec path to ds-identify on redhat systems     - tools/build-on-freebsd: update to python3 [Gonéri Le Bouder]     - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]     - Fix spelling error making 'an Ubuntu' consistent. [Brian Murray]     - run-container: centos: comment out the repo mirrorlist [Paride Legovini]     - netplan: update netplan key mappings for gratuitous-arp     - freebsd: fix the name of cloudcfg VARIANT [Gonéri Le Bouder]     - freebsd: ability to grow root file system [Gonéri Le Bouder]     - freebsd: NoCloud data source support [Gonéri Le Bouder] # Update (08/28/2019) updated SRU snapshot to include an upstream fix for exoscale cloud_config_modules == Begin SRU Template == [Impact] This release sports both bug-fixes and new features and we would like to make sure all of our supported customers have access to these improvements. The notable ones are: -- begin update (08/28/19) --     - Oracle: Render secondary vnic IP and MTU values only     - exoscale: fix sysconfig cloud_config_modules overrides -- end update (08/28/19) --     - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA     - DataSourceOracle: prefer DS network config over initramfs     - Azure: Record boot timestamps, system information, and diagnostic events       [Anh Vo]     - DataSourceOracle: configure secondary NICs on Virtual Machines     - azure/net: generate_fallback_nic emits network v2 config instead of v1     - Add support for publishing host keys to GCE guest attributes       [Rick Wright]     - New data source for the Exoscale.com cloud platform [Chris Glass]     - net/cmdline: split interfaces_by_mac and init network config       determination     - stages: allow data sources to override network config source order     - Fix bug rendering MTU on bond or vlan when input was netplan.       [Scott Moser]     - net: add rfc3442 (classless static routes) to EphemeralDHCP     - templates/ntp.conf.debian.tmpl: fix missing newline for pools     - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]     - VMWare: Trigger the post customization script via cc_scripts module.       [Xiaofeng Wang]     - Cloud-init analyze module: Added ability to analyze boot events.       [Sam Gilson]     - Update debian eni network configuration location, retain Ubuntu setting       [Janos Lenart]     - net: skip bond interfaces in get_interfaces [Stanislav Makar]     - Add missing dsname for Hetzner Cloud datasource [Markus Schade]     - azure: add region and AZ properties from imds compute location metadata     - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]     - netplan: update netplan key mappings for gratuitous-arp See the changelog entry below for a full list of changes and bugs. [Test Case] The following development and SRU process was followed: https://wiki.ubuntu.com/CloudinitUpdates The cloud-init team will be in charge of attaching the artifacts and console output of the appropriate run to the bug. cloud-init team members will not mark ‘verification-done’ until this has happened. * Automated Test Results DONE: attach automated cloud-init-proposed test artifacts for lxd (nocloud-lxd-sru-19.2.24.txt) DONE: attach automated cloud-init-proposed test artifacts from tests for each release with kvm artifacts (nocloud-kvm-sru-19.2.24.txt) DONE: attach Solutions Testing team test results for each LTS (xenial_maas_install.log bionic_mass_install.log) DONE: attach MAAS Team test results for each LTS (sru-proposed-cloudinit-disco.zip sru-proposed-cloudinit-bionic.zip) * Manual Test Results DONE: attach manual cloud-init-proposed test artifacts from tests for each release on ec2 datasource (ec2-sru-19.2.21.txt) DONE: attach manual cloud-init-proposed test artifacts from tests for each release on gce datasource (gce-sru-19.2.21.txt) DONE: attach manual cloud-init-proposed test artifacts from tests for each release on azure datasource (azure-sru-19.2.21.txt) Additionally we performed both Oracle and Softlayer validation for this release [Regression Potential] In order to mitigate the regression potential, the results of the aforementioned integration tests are attached to this bug. [Discussion] == End SRU Template == == Changelog ==     - Oracle: Render secondary vnic IP and MTU values only     - exoscale: fix sysconfig cloud_config_modules overrides     - net/cmdline: refactor to allow multiple initramfs network config sources    - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA     - Add missing #cloud-config comment on first example in documentation.       [Florian Müller]     - ubuntu-drivers: emit latelink=true debconf to accept nvidia eula     - DataSourceOracle: prefer DS network config over initramfs     - format.rst: add text/jinja2 to list of content types (+ cleanups)     - Add GitHub pull request template to point people at hacking doc     - cloudinit/distros/parsers/sys_conf: add docstring to SysConf     - pyflakes: remove unused variable [Joshua Powers]     - Azure: Record boot timestamps, system information, and diagnostic events       [Anh Vo]     - DataSourceOracle: configure secondary NICs on Virtual Machines     - distros: fix confusing variable names     - azure/net: generate_fallback_nic emits network v2 config instead of v1     - Add support for publishing host keys to GCE guest attributes       [Rick Wright]     - New data source for the Exoscale.com cloud platform [Chris Glass]     - doc: remove intersphinx extension     - cc_set_passwords: rewrite documentation     - net/cmdline: split interfaces_by_mac and init network config       determination     - stages: allow data sources to override network config source order     - cloud_tests: updates and fixes     - Fix bug rendering MTU on bond or vlan when input was netplan.       [Scott Moser]     - net: update net sequence, include wait on netdevs, opensuse netrules path     - Release 19.2     - net: add rfc3442 (classless static routes) to EphemeralDHCP     - templates/ntp.conf.debian.tmpl: fix missing newline for pools     - Support netplan renderer in Arch Linux [Conrad Hoffmann]     - Fix typo in publicly viewable documentation. [David Medberry]     - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]     - VMWare: Trigger the post customization script via cc_scripts module.       [Xiaofeng Wang]     - Cloud-init analyze module: Added ability to analyze boot events.       [Sam Gilson]     - Update debian eni network configuration location, retain Ubuntu setting       [Janos Lenart]     - net: skip bond interfaces in get_interfaces [Stanislav Makar]     - Fix a couple of issues raised by a coverity scan     - Add missing dsname for Hetzner Cloud datasource [Markus Schade]     - doc: indicate that netplan is default in Ubuntu now     - azure: add region and AZ properties from imds compute location metadata     - sysconfig: support more bonding options [Penghui Liao]     - cloud-init-generator: use libexec path to ds-identify on redhat systems     - tools/build-on-freebsd: update to python3 [Gonéri Le Bouder]     - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]     - Fix spelling error making 'an Ubuntu' consistent. [Brian Murray]     - run-container: centos: comment out the repo mirrorlist [Paride Legovini]     - netplan: update netplan key mappings for gratuitous-arp     - freebsd: fix the name of cloudcfg VARIANT [Gonéri Le Bouder]     - freebsd: ability to grow root file system [Gonéri Le Bouder]     - freebsd: NoCloud data source support [Gonéri Le Bouder]
2019-09-10 18:26:25 Chad Smith tags verification-needed verification-needed-bionic verification-needed-disco verification-needed-xenial verification-done verification-done-bionic verification-done-disco verification-done-xenial
2019-09-11 01:32:18 Launchpad Janitor cloud-init (Ubuntu Xenial): status Fix Committed Fix Released
2019-09-11 01:32:25 Chris Halse Rogers removed subscriber Ubuntu Stable Release Updates Team
2019-09-11 01:32:40 Launchpad Janitor cloud-init (Ubuntu Bionic): status Fix Committed Fix Released
2019-09-11 01:33:38 Launchpad Janitor cloud-init (Ubuntu Disco): status Fix Committed Fix Released
2019-09-24 17:21:14 Chad Smith attachment added openstack-sru-19.2.36.txt https://bugs.launchpad.net/bugs/1841099/+attachment/5290984/+files/openstack-sru-19.2.36.txt
2019-09-24 17:21:34 Chad Smith attachment added softlayer-sru-19.2.36.txt https://bugs.launchpad.net/bugs/1841099/+attachment/5290985/+files/softlayer-sru-19.2.36.txt
2019-09-24 17:21:45 Chad Smith attachment added gce-sru-19.2.36.txt https://bugs.launchpad.net/bugs/1841099/+attachment/5290986/+files/gce-sru-19.2.36.txt